# Task Assignment Roles

Task Assignment Roles

 - [GET /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/listtaskassignmentroles.md): This method will scan all task assignment roles and and return them to the caller.
 - [POST /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/createtaskassignmentrole.md): This method will auto-generate an ID and create a new task assignment role. If an ID is specified for the task assignment role, an error will be thrown.
 - [POST /taskAssignmentRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/deletetaskassignmentrole.md): This method will delete a task assignment role with the specified ID.
 - [GET /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/gettaskassignmentrole.md): This method will look up a task assignment role by the specified ID and return it back.
 - [PATCH /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/patchtaskassignmentrole.md): This method will patch an existing task assignment role with the specified ID, using the HTTP PATCH specification.
 - [PUT /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/updatetaskassignmentrole.md): This method will update an existing task assignment role with the specified ID.
